Package com.microsoft.sqlserver.jdbc

## Class MaxResultBufferParser

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.MaxResultBufferParser

    public class MaxResultBufferParser
    extends java.lang.Object

Parser created to parse String value from Connection String to equivalent number of bytes for JDBC Driver to work on.

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `validateMaxResultBuffer​(java.lang.String input)` Returns number of bytes for maxResultBuffer property

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### validateMaxResultBuffer

    public static long validateMaxResultBuffer​(java.lang.String input)
                                        throws SQLServerException

Returns number of bytes for maxResultBuffer property

Parameters:
  `input` - String value for maxResultProperty provided in Connection String
Returns:
  'maxResultBuffer' property as number of bytes
Throws:
  `SQLServerException` - Is Thrown when maxResultProperty's syntax is wrong